var e = require("../../common/vendor.js"),
  n = require("../../hooks/onShareAppMessage.js"),
  i = require("../../hooks/onMounted.js"),
  r = require("../../service/index.js"),
  t = require("../../constant/index.js"),
  a = require("../../utils/util.js"),
  o = require("../../enums/index.js");
require("../../config/index.js"),
  require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../data/index.js"),
  require("../../utils/request.js"),
  Math || (e.unref(u) + e.unref(c) + e.unref(s) + e.unref(d))();
var u = function () {
    return "../../components/time-line/index.js";
  },
  s = function () {
    return "../../components/float-back-to-top/index.js";
  },
  c = function () {
    return "../../components/divider/index.js";
  },
  d = function () {
    return "../../components/float-share/index.js";
  },
  l = {
    __name: "index",
    setup: function (u) {
      var s = e.ref(!0),
        c = e.ref({}),
        d = e.ref(!1);
      return (
        i.onMounted(function (n) {
          var i = n.order_no,
            t = n.product_id;
          a.showLoading("努力查询中"),
            r
              .getReportDetail({ order_no: i, product_id: t })
              .then(function (n) {
                var i = n.insurance || [],
                  r = n.maintain || [];
                (n.insurance_maintain = e._.orderBy(
                  e._.concat(i, r),
                  ["date"],
                  ["desc"]
                )),
                  (c.value = n),
                  (s.value = !1),
                  a.hideLoading();
              });
        }, !1),
        e.onPageScroll(function (n) {
          var i = n.scrollTop;
          d.value = i >= e.index.getSystemInfoSync().windowHeight / 3;
        }),
        n.onShareAppMessage(),
        function (n, i) {
          return e.e(
            { a: !s.value },
            s.value
              ? {}
              : {
                  b: e.t(c.value.carinfo.name),
                  c: e.t(
                    (c.value.carinfo.vin || "")
                      .toString()
                      .replace(/^(.{5}).{6}/, "$1******")
                  ),
                  d: e.t(c.value.mail.mail_section.date),
                  e: e.t(c.value.mail.mail_section.lower),
                  f: e.t(c.value.mail.mail_section.upper),
                  g: e.f(c.value.mail.mail_list, function (n, i, r) {
                    return {
                      a: e.t(n.date),
                      b: e.t(n.mile),
                      c: i,
                      d: i % 2 == 1 ? 1 : "",
                    };
                  }),
                  h: e.p({
                    type: e.unref(o.TimeLineEnum).RECORD,
                    data: c.value.insurance_maintain,
                  }),
                  i: e.t(e.unref(t.disclaimer)),
                  j: e.p({ visible: d.value }),
                }
          );
        }
      );
    },
  },
  f = e._export_sfc(l, [["__scopeId", "data-v-b2dfd9ff"]]);
(l.__runtimeHooks = 3), wx.createPage(f);
